# Uses of Class
org.globus.ftp.GridFTPSession

Packages that use GridFTPSession
Package
Description
org.globus.ftp
org.globus.ftp.app
org.globus.ftp.dc
org.globus.ftp.extended

## Uses of GridFTPSession in org.globus.ftp

Fields in org.globus.ftp declared as GridFTPSession
Modifier and Type
Field
Description
`protected GridFTPSession`
GridFTPClient.`gSession`

## Uses of GridFTPSession in org.globus.ftp.app

Subclasses of GridFTPSession in org.globus.ftp.app
Modifier and Type
Class
Description
`class`
`TransferParams`
Represents parameters of a transfer.

## Uses of GridFTPSession in org.globus.ftp.dc

Fields in org.globus.ftp.dc declared as GridFTPSession
Modifier and Type
Field
Description
`protected GridFTPSession`
GridFTPActiveConnectTask.`gSession`
`protected GridFTPSession`
GridFTPDataChannel.`gSession`
`protected GridFTPSession`
TransferThreadManager.`gSession`
Constructors in org.globus.ftp.dc with parameters of type GridFTPSession
Modifier
Constructor
Description
``
`GridFTPActiveConnectTask(HostPort hostPort, BasicServerControlChannel control, SocketBox box, GridFTPSession gSession)`
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`TransferThreadManager(SocketPool socketPool, GridFTPServerFacade facade, BasicServerControlChannel myControlChannel, GridFTPSession gSession)`

## Uses of GridFTPSession in org.globus.ftp.extended

Fields in org.globus.ftp.extended declared as GridFTPSession
Modifier and Type
Field
Description
`protected GridFTPSession`
GridFTPServerFacade.`gSession`